Package net.shibboleth.idp.attribute

# Class PairwiseId

java.lang.Object
net.shibboleth.idp.attribute.PairwiseId

public final class PairwiseId extends Object
Object representing a pairwise/targeted identifier entry as a storage input/output.

Since:
  4.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private Instant`
`creationTime`
Time the identifier was created.
`private Instant`
`deactivationTime`
Time the identifier was deactivated.
`private String`
`issuerEntityID`
ID of the entity that issued that identifier.
`private String`
`pairwiseId`
The identifier.
`private String`
`peerProvidedId`
A secondary identifier attached to the record by the recipient.
`private String`
`principalName`
Name of the principal represented by the identifier.
`private String`
`recipientEntityID`
ID of the entity to which the identifier was issued.
`private String`
`sourceSystemId`
Underlying unique key/ID of the principal.

## Constructor Summary

Constructors
Constructor
Description
`PairwiseId()`

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getCreationTime()`
Get the time the identifier was created.
`Instant`
`getDeactivationTime()`
Get the time the identifier was deactivated.
`String`
`getIssuerEntityID()`
Get the ID of the entity that issued the identifier.
`String`
`getPairwiseId()`
Get the pairwise identifier.
`String`
`getPeerProvidedId()`
Get the alias, provided by the recipient, attached to this ID.
`String`
`getPrincipalName()`
Get the name of the principal the identifier represents.
`String`
`getRecipientEntityID()`
Get the ID of the entity to which the identifier was issued.
`String`
`getSourceSystemId()`
Get the underlying unique key/ID from the source IDM system, which may be more stable than the "name".
`void`
`setCreationTime(Instant time)`
Set the time the identifier was created.
`void`
`setDeactivationTime(Instant time)`
Set the time the identifier was deactivated.
`void`
`setIssuerEntityID(String id)`
Set the ID of the entity that issued the identifier.
`void`
`setPairwiseId(String id)`
Set the pairwise identifier.
`void`
`setPeerProvidedId(String id)`
Set the alias, provided by the recipient, attached to this ID.
`void`
`setPrincipalName(String name)`
Set the name of the principal the identifier represents.
`void`
`setRecipientEntityID(String id)`
Set the ID of the entity to which the identifier was issued.
`void`
`setSourceSystemId(String id)`
Set the underlying unique key/ID from the source IDM system, which may be more stable than the "name".
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### issuerEntityID

@Nullable private String issuerEntityID
ID of the entity that issued that identifier.

### recipientEntityID

@Nullable private String recipientEntityID
ID of the entity to which the identifier was issued.

### principalName

@Nullable private String principalName
Name of the principal represented by the identifier.

### sourceSystemId

@Nullable private String sourceSystemId
Underlying unique key/ID of the principal.

### pairwiseId

@Nullable private String pairwiseId
The identifier.

### peerProvidedId

@Nullable private String peerProvidedId
A secondary identifier attached to the record by the recipient.

### creationTime

@Nullable private Instant creationTime
Time the identifier was created.

### deactivationTime

@Nullable private Instant deactivationTime
Time the identifier was deactivated.

## Constructor Details

### PairwiseId

public PairwiseId()

## Method Details

### getIssuerEntityID

@Nullable public String getIssuerEntityID()
Get the ID of the entity that issued the identifier.

Returns:
  ID of the entity that issued the identifier

### setIssuerEntityID

public void setIssuerEntityID(@Nullable String id)
Set the ID of the entity that issued the identifier.

Parameters:
  `id` - ID of the entity that issued the identifier

### getRecipientEntityID

@Nullable public String getRecipientEntityID()
Get the ID of the entity to which the identifier was issued.

Returns:
  ID of the entity to which the identifier was issued

### setRecipientEntityID

public void setRecipientEntityID(@Nullable String id)
Set the ID of the entity to which the identifier was issued.

Parameters:
  `id` - ID of the entity to which the identifier was issued

### getPrincipalName

@Nullable public String getPrincipalName()
Get the name of the principal the identifier represents.

Returns:
  name of the principal the identifier represents

### setPrincipalName

public void setPrincipalName(@Nullable String name)
Set the name of the principal the identifier represents.

Parameters:
  `name` - name of the principal the identifier represents

### getSourceSystemId

@Nullable public String getSourceSystemId()
Get the underlying unique key/ID from the source IDM system, which may be more stable than the "name".

Returns:
  the principal's unique key or ID

### setSourceSystemId

public void setSourceSystemId(@Nullable String id)
Set the underlying unique key/ID from the source IDM system, which may be more stable than the "name".

Parameters:
  `id` - principal's unique key or ID

### getPairwiseId

@Nullable public String getPairwiseId()
Get the pairwise identifier.

Returns:
  the pairwise identifier

### setPairwiseId

public void setPairwiseId(@Nullable String id)
Set the pairwise identifier.

Parameters:
  `id` - the pairwise identifier

### getPeerProvidedId

@Nullable public String getPeerProvidedId()
Get the alias, provided by the recipient, attached to this ID.

Returns:
  alias, provided by the recipient, associated with this ID

### setPeerProvidedId

public void setPeerProvidedId(@Nullable String id)
Set the alias, provided by the recipient, attached to this ID.

Parameters:
  `id` - alias, provided by the recipient, attached to this ID

### getCreationTime

@Nullable public Instant getCreationTime()
Get the time the identifier was created.

Returns:
  time the identifier was created

### setCreationTime

public void setCreationTime(@Nullable Instant time)
Set the time the identifier was created.

Parameters:
  `time` - time the identifier was created

### getDeactivationTime

@Nullable public Instant getDeactivationTime()
Get the time the identifier was deactivated.

Returns:
  time the identifier was deactivated

### setDeactivationTime

public void setDeactivationTime(@Nullable Instant time)
Set the time the identifier was deactivated.

Parameters:
  `time` - the time the identifier was deactivated

### toString

public String toString()

Overrides:
  `toString` in class `Object`